<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" encoding="utf-8"/>

<xsl:template match="/">
  <html>
    <head>
      <title>Seznam příkladů z knihy PHP a XML</title>
      <style type="text/css">
	body { font-family: Verdana, sans-serif }
	h1, h2, div { text-align: center }
	p { margin-left: 2em }
      </style>
    </head>
    <body>
      <h1><a href="http://www.kosek.cz/knihy/phpxml/">Jiří Kosek: PHP a XML</a></h1>
      <h2>Seznam příkladů</h2>

      <hr/>

      <xsl:for-each select="/book/chapter">
	<h3>
	  <xsl:text>Kapitola </xsl:text>
	  <xsl:number count="chapter" level="single" format="1: "/>
	  <xsl:value-of select="title"/>
	</h3>
	<xsl:for-each select=".//example[title[filename]]">
	  <p>
	    <xsl:number count="chapter" level="single" format="1."/>
	    <xsl:number count="example" from="chapter" level="any" format="1 "/>
	    <xsl:apply-templates select="title"/>
	  </p>
	</xsl:for-each>
      </xsl:for-each>

      <hr/>

      <div>© Jiří Kosek 2009</div>

    </body>
  </html>
</xsl:template>

<xsl:template match="filename">
  <a href="{.}"><xsl:apply-templates/></a>
</xsl:template>

</xsl:stylesheet>