<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Přehled zpráv</title>
  </head>
  <body>
<?php 

// vytvoření parseru
$parser = xml_parser_create("utf-8");

// nastavení parametrů
xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, false);

// nastavení funkcí pro obsluhu elementů
xml_set_element_handler($parser, "startElement", "endElement");

// nastavení funkce pro obsluhu obsahu elementu
xml_set_character_data_handler($parser, "characters");

// otevření XML dokumentu
$fp = fopen("../data/luparss.xml", "r");
if (!$fp) die ("Nelze otevřít soubor.");

// zpracování celého souboru
while ($x = fread($fp, 4096))
{
  if (!xml_parse($parser, $x, feof($fp)))
    die (sprintf("XML error: %s at line %d",
                    xml_error_string(xml_get_error_code($parser)),
                    xml_get_current_line_number($parser)));
}

// uvolnění paměti alokované parserem
xml_parser_free($parser);

// pomocné proměnné pro uchovávání stavu čtení
$inItem = false;
$inLink = false;
$inTitle = false;
$inDescription = false;
$title = "";
$link = "";
$description = "";

// obsluha začátku elementu
function startElement($parser, $name, $attrs)
{
  global $inItem, $inLink, $inTitle, $inDescription, $title, $link, $description;
  
  // zjistíme, zda jsme v další položce feedu
  if ($name == "item")
  {
    $inItem = true;
    return;
  }

  // zjistíme, zda jsme v nadpisu
  if ($name == "title")
  {
    $inTitle = true;
    $title = "";
    return;
  }

  // zjistíme, zda jsme v adrese
  if ($name == "link")
  {
    $inLink = true;
    $link = "";
    return;
  }

  // zjistíme, zda jsme v popisu
  if ($name == "description")
  {
    $inDescription = true;
    $description = "";
    return;
  }
}

// zpracování konce elementu
function endElement($parser, $name)
{
  global $inItem, $inLink, $inTitle, $inDescription, $title, $link, $description;
  
  // zjistíme, zda jsme na konci položky
  if ($name == "item" && $inItem)
  {
    $inItem = false;
    echo "<dt><a href='" . htmlspecialchars($link, ENT_QUOTES) . "'>" . htmlspecialchars($title) . "</a></dt>\n";
    echo "<dd>" . htmlspecialchars($description) . "</dd>\n";
    return;
  }

  // zjistíme, zda jsme na konci elementu a nejsme v položce 
  // v tomto případě vypisujeme záhlaví
  if ($name=="link" && !$inItem)
  {
    $inLink = false;
    echo "<h1>Přehled aktuálních zpráv ze serveru <a href='" . htmlspecialchars($link, ENT_QUOTES) . "'>";
    echo htmlspecialchars($title) . "</a></h1>\n";
    echo "<dl>";
    return;
  }

  // ukončení seznamu
  if ($name=="channel")
  {
    echo "</dl>\n";
  }

  // vypnutí příznaků na koncovém tagu
  if ($name=="item")
    $inItem = false;

  if ($name=="title")
    $inTitle = false;

  if ($name=="link")
    $inLink = false;

  if ($name=="desciption")
    $inDescription = false;

}

// obsluha znakových dat
function characters($parser, $data)
{
  global $inItem, $inLink, $inTitle, $inDescription, $title, $link, $description;

  // připojení právě přečteného textu do odpovídající pomocné proměnné
  // podle toho, v jakém jsme právě elementu
  if ($inLink)
    $link .= $data;

  if ($inTitle)
    $title .= $data;

  if ($inDescription)
    $description .= $data;
}

?>
  </body>
</html>