<?php
Header("Content-type: text/plain; charset=utf-8");

// načtení schématu
$sch = DOMDocument::load("../schema/zamestnanci.sch");

// načtení stylu pro převod Schematronu na XSLT
$sch2xslt =  DOMDocument::load("../tools/skeleton1-5.xsl");

// vytvoření procesoru XSLT
$proc = new xsltprocessor();
$proc->importStylesheet($sch2xslt);

// vytvoření XSLT stylu implementujícího schematronové kontroly
$validator = $proc->transformToDoc($sch);

// načtení dokumentu k validaci
$doc = DOMDocument::load("../schema/zamestnanci-chyba.xml",
                         LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// nastavení validátoru jako stylu na procesoru XSLT
$proc->importStylesheet($validator);

// validace oproti Schematronu
$vysledek = $proc->transformToDoc($doc);

// zjištění a případné vypsání chyb
if ($vysledek->textContent == "")
{
  echo "Dokument je validní oproti Schematronu.";
}
else
{
  echo "Dokument není validní.\n";
  echo $vysledek->textContent;
}

?>