<?php

Header("Content-type: text/html;charset=utf-8");

// načtení HTML dokumentu předaného pomocí parametru "url" do DOM stromu
$doc = DOMDocument::loadHTMLFile($_GET["url"]); 

// vytvoření objektu pro vyhodnocování dotazů XPath
$xpath = new DOMXPath($doc);

// zjištění základních statistických údajů o stránce
echo "Název stránky: ", 
  $xpath->evaluate("string(//title)"),
  "<br>\n";

echo "Počet znaků v dokumentu: ",
  $xpath->evaluate("string-length(/)"),
  "<br>\n";

echo "Počet významných znaků v dokumentu: ",
  $xpath->evaluate("string-length(normalize-space(/))"),
  "<br>\n";

echo "Počet elementů pro tvorbu layoutu (div/span): ",
  $xpath->evaluate("count(//div | //span)"),
  "<br>\n";

echo "Celkový počet odkazů: ",
  $xpath->evaluate("count(//a[@href])"),
  "<br>\n";

echo "Celkový počet jedinečných odkazů: ",
  $xpath->evaluate("count(//a[@href][not(@href = preceding::a/@href)])"),
  "<br>\n";

echo "Osnova dokumentu:<br>\n";

// vybereme všechny nadpisy 1. až 3. úrovně
$nadpisy = $xpath->query("//h1 | //h2 | //h3");

// postupně je projdeme a vypíšeme
foreach ($nadpisy as $nadpis)
{
  // podle úrovně nadpisu provedeme odsazení
  if ($nadpis->nodeName == "h1") echo "+";
  if ($nadpis->nodeName == "h2") echo "++";
  if ($nadpis->nodeName == "h3") echo "+++";

  // vypsání obsahu elementu
  echo $nadpis->textContent;

  // test existence návěstí pro nadpis
  if ($xpath->evaluate("@id or a[@name]", $nadpis))
    echo " [#", $xpath->evaluate("string(@id | a/@name)", $nadpis), "]";
  else
    echo " (na nadpis nejde vytvořit odkaz nemá návěstí)";

  // odřádkování
  echo "<br>\n";
}  

?>