<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:output method="html" encoding="utf-8"/>

<!-- Kopírovací šablona, kopíruje všechny uzly -->  
<xsl:template match="node()">
  <xsl:copy>
    <xsl:copy-of select="@*"/>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

<!-- Speciální zpracování zkratek -->
<xsl:template match="abbr | acronym">
  <xsl:copy>
    <!-- Jestliže zkratku najdeme ve slovníčku zkratek, doplníme
         její definici do atributu title -->
    <xsl:if test="document('zkratky.xml')/zkratky/zkratka/@nazev = .">
      <xsl:attribute name="title">
        <xsl:value-of select="document('zkratky.xml')/zkratky/zkratka[@nazev = current()]"/>
      </xsl:attribute>
    </xsl:if>
    <!-- Nakopírování původnách atributů elmentu -->
    <xsl:copy-of select="@*"/>
    <!-- Zpracování dětí -->
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>